Ignore:
Timestamp:
Oct 15, 2013 9:53:04 AM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r2907 r2968  
    10891089                          (implies --disable-shared)
    10901090  --enable-debug-hsl compile project HSL with debug compiler flags
    1091   --enable-doscompile     Under Cygwin, compile so that executables run under
    1092                           DOS. Set to mingw to use gcc/g++/ld with
    1093                           -mno-cygwin. Set to msvc to use cl/link (or
    1094                           icl/link). Default when mentioned: mingw. Default
    1095                           when not mentioned: disabled.
     1091
     1092  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10961093  --disable-pkg-config    disable use of pkg-config (if available)
    10971094  --enable-static[=PKGS]
     
    19011898
    19021899# Get the name of the C compiler (for a dummy program)
    1903 case $build in
     1900
     1901
     1902  # for backward compatibility
     1903  # Check whether --enable-doscompile or --disable-doscompile was given.
     1904if test "${enable_doscompile+set}" = set; then
     1905  enableval="$enable_doscompile"
     1906  enable_doscompile=$enableval
     1907else
     1908  enable_doscompile=no
     1909fi;
     1910
     1911  # Check whether --enable-msvc or --disable-msvc was given.
     1912if test "${enable_msvc+set}" = set; then
     1913  enableval="$enable_msvc"
     1914  enable_msvc=$enableval
     1915else
     1916  enable_msvc=no
     1917     if test "$enable_doscompile" = msvc ; then
     1918       enable_msvc=yes
     1919     elif test "$enable_doscompile" != no ; then
     1920       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1921echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1922   { (exit 1); exit 1; }; }
     1923     fi
     1924
     1925fi;
     1926
     1927  if test "$enable_msvc" = yes; then
     1928    case $build in
     1929      *-cygwin* | *-mingw*) ;;
     1930      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1931echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1932   { (exit 1); exit 1; }; } ;;
     1933    esac
     1934  fi
     1935
     1936
     1937 case $build in
    19041938  *-mingw*)
    19051939    if test "${LD+set}" = set; then :; else
     
    19081942    ;;
    19091943 esac
    1910  case $enable_doscompile in
    1911    msvc)
    1912      if test "x${LD+set}" = xset; then :; else
    1913        LD=link
    1914      fi
    1915      ;;
    1916  esac
    1917 
    1918 
    1919  # Check whether --enable-doscompile or --disable-doscompile was given.
    1920 if test "${enable_doscompile+set}" = set; then
    1921   enableval="$enable_doscompile"
    1922   if test "$enable_doscompile" != no; then
    1923      case $build in
    1924        *-cygwin* | *-mingw*) ;;
    1925        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1926 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1944 if test $enable_msvc = yes ; then
     1945   if test "x${LD+set}" = xset; then :; else
     1946     LD=link
     1947   fi
     1948 fi
     1949
     1950
     1951# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1952if test "${enable_static_standardlibs+set}" = set; then
     1953  enableval="$enable_static_standardlibs"
     1954  case "$enableval" in
     1955     no | yes | auto ) ;;
     1956     *)
     1957       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1958echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19271959   { (exit 1); exit 1; }; } ;;
    1928      esac
    1929    fi
    1930 else
    1931   enable_doscompile=no
     1960   esac
     1961   use_static_standardlibs=$enableval
     1962else
     1963  use_static_standardlibs=no
    19321964fi;
    1933  case "$enable_doscompile" in
    1934    mingw)
    1935      case $build in
    1936        *-mingw*) enable_doscompile=no ;;
    1937      esac
    1938      ;;
    1939    msvc|no) ;;
    1940    yes) enable_doscompile=mingw ;;
    1941    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1942                     Try configure --help=recursive." >&5
    1943 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1944                     Try configure --help=recursive." >&2;}
    1945    { (exit 1); exit 1; }; }
    1946       ;;
    1947   esac
    1948   if test "$enable_doscompile" != no ; then
    1949     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1950 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1951   fi
     1965
    19521966
    19531967
     
    19922006case $build in
    19932007  *-cygwin* | *-mingw*)
    1994              if test "$enable_doscompile" = msvc ; then
    1995                comps="icl cl"
     2008             if test "$enable_msvc" = yes ; then
     2009               comps="icl cl gcc"
    19962010             else
    1997                comps="gcc cl"
     2011               comps="gcc icl cl"
    19982012             fi ;;
    19992013  *-*-solaris*)
     
    28482862            ;;
    28492863        esac
    2850         case $enable_doscompile in
    2851           mingw)
    2852             CFLAGS="-mno-cygwin"
    2853             cat >conftest.$ac_ext <<_ACEOF
    2854 /* confdefs.h.  */
    2855 _ACEOF
    2856 cat confdefs.h >>conftest.$ac_ext
    2857 cat >>conftest.$ac_ext <<_ACEOF
    2858 /* end confdefs.h.  */
    2859 
    2860 int
    2861 main ()
    2862 {
    2863 int i=0; i++;
    2864   ;
    2865   return 0;
    2866 }
    2867 _ACEOF
    2868 rm -f conftest.$ac_objext conftest$ac_exeext
    2869 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2870   (eval $ac_link) 2>conftest.er1
    2871   ac_status=$?
    2872   grep -v '^ *+' conftest.er1 >conftest.err
    2873   rm -f conftest.er1
    2874   cat conftest.err >&5
    2875   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2876   (exit $ac_status); } &&
    2877          { ac_try='test -z "$ac_c_werror_flag"
    2878                          || test ! -s conftest.err'
    2879   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2880   (eval $ac_try) 2>&5
    2881   ac_status=$?
    2882   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2883   (exit $ac_status); }; } &&
    2884          { ac_try='test -s conftest$ac_exeext'
    2885   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2886   (eval $ac_try) 2>&5
    2887   ac_status=$?
    2888   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2889   (exit $ac_status); }; }; then
    2890   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2891 else
    2892   echo "$as_me: failed program was:" >&5
    2893 sed 's/^/| /' conftest.$ac_ext >&5
    2894 
    2895 fi
    2896 rm -f conftest.err conftest.$ac_objext \
    2897       conftest$ac_exeext conftest.$ac_ext
    2898             CFLAGS=
    2899           ;;
    2900         esac
    29012864    esac
    29022865  fi
     
    30893052    CFLAGS="$OPT_CFLAGS"
    30903053  fi
     3054
    30913055else
    30923056  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32393203  clang* ) ;;
    32403204  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3241     case $build in
     3205
     3206 case $build in
    32423207  *-mingw*)
    32433208    if test "${LD+set}" = set; then :; else
     
    32463211    ;;
    32473212 esac
    3248  case $enable_doscompile in
    3249    msvc)
    3250      if test "x${LD+set}" = xset; then :; else
    3251        LD=link
    3252      fi
    3253      ;;
    3254  esac
     3213 if test $enable_msvc = yes ; then
     3214   if test "x${LD+set}" = xset; then :; else
     3215     LD=link
     3216   fi
     3217 fi
    32553218
    32563219    ;;
    32573220esac
     3221
     3222# check whether to add flags for static linking against standard libraries to LDFLAGS
     3223if test x$use_static_standardlibs != xno ; then
     3224  case $build in
     3225    *-mingw*)
     3226      static_standardlib_flag=-static
     3227      ;;
     3228    *)
     3229      static_standardlib_flag=-static-libgcc
     3230      ;;
     3231  esac
     3232  case " $LDFLAGS " in
     3233    *" $static_standardlib_flag "* ) ;;
     3234    *)
     3235    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3236echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3237    coin_save_LDFLAGS="$LDFLAGS"
     3238    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3239    cat >conftest.$ac_ext <<_ACEOF
     3240/* confdefs.h.  */
     3241_ACEOF
     3242cat confdefs.h >>conftest.$ac_ext
     3243cat >>conftest.$ac_ext <<_ACEOF
     3244/* end confdefs.h.  */
     3245
     3246int
     3247main ()
     3248{
     3249int i=0;
     3250  ;
     3251  return 0;
     3252}
     3253_ACEOF
     3254rm -f conftest.$ac_objext conftest$ac_exeext
     3255if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3256  (eval $ac_link) 2>conftest.er1
     3257  ac_status=$?
     3258  grep -v '^ *+' conftest.er1 >conftest.err
     3259  rm -f conftest.er1
     3260  cat conftest.err >&5
     3261  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3262  (exit $ac_status); } &&
     3263         { ac_try='test -z "$ac_c_werror_flag"
     3264                         || test ! -s conftest.err'
     3265  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3266  (eval $ac_try) 2>&5
     3267  ac_status=$?
     3268  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3269  (exit $ac_status); }; } &&
     3270         { ac_try='test -s conftest$ac_exeext'
     3271  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3272  (eval $ac_try) 2>&5
     3273  ac_status=$?
     3274  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3275  (exit $ac_status); }; }; then
     3276  echo "$as_me:$LINENO: result: yes" >&5
     3277echo "${ECHO_T}yes" >&6
     3278else
     3279  echo "$as_me: failed program was:" >&5
     3280sed 's/^/| /' conftest.$ac_ext >&5
     3281
     3282echo "$as_me:$LINENO: result: no" >&5
     3283echo "${ECHO_T}no" >&6
     3284       LDFLAGS="$coin_save_LDFLAGS"
     3285       if test $use_static_standardlibs = yes ; then
     3286         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3287echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3288   { (exit 1); exit 1; }; }
     3289       fi
     3290
     3291fi
     3292rm -f conftest.err conftest.$ac_objext \
     3293      conftest$ac_exeext conftest.$ac_ext
     3294    ;;
     3295  esac
     3296fi
    32583297
    32593298ac_ext=c
     
    32683307case $build in
    32693308  *-cygwin* | *-mingw*)
    3270      if test "$enable_doscompile" = msvc ; then
    3271        coin_f77_comps="ifort fl32 compile_f2c"
     3309     if test "$enable_msvc" = yes ; then
     3310       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32723311     else
    32733312       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32793318  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32803319 esac
     3320
    32813321
    32823322
     
    34943534
    34953535# Provide some information about the compiler.
    3496 echo "$as_me:3496:" \
     3536echo "$as_me:3536:" \
    34973537     "checking for Fortran 77 compiler version" >&5
    34983538ac_compiler=`set X $ac_compile; echo $2`
     
    36633703    coin_add_fflags="-pipe"
    36643704    coin_dbg_fflags="-g -O0"
    3665     case $enable_doscompile in
    3666       mingw)
    3667         FFLAGS="-mno-cygwin"
    3668         cat >conftest.$ac_ext <<_ACEOF
    3669       program main
    3670       write(*,*) 'Hello world'
    3671       end
    3672 _ACEOF
    3673 rm -f conftest.$ac_objext conftest$ac_exeext
    3674 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3675   (eval $ac_link) 2>conftest.er1
    3676   ac_status=$?
    3677   grep -v '^ *+' conftest.er1 >conftest.err
    3678   rm -f conftest.er1
    3679   cat conftest.err >&5
    3680   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3681   (exit $ac_status); } &&
    3682          { ac_try='test -z "$ac_f77_werror_flag"
    3683                          || test ! -s conftest.err'
    3684   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3685   (eval $ac_try) 2>&5
    3686   ac_status=$?
    3687   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3688   (exit $ac_status); }; } &&
    3689          { ac_try='test -s conftest$ac_exeext'
    3690   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3691   (eval $ac_try) 2>&5
    3692   ac_status=$?
    3693   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3694   (exit $ac_status); }; }; then
    3695   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3696 else
    3697   echo "$as_me: failed program was:" >&5
    3698 sed 's/^/| /' conftest.$ac_ext >&5
    3699 
    3700 fi
    3701 rm -f conftest.err conftest.$ac_objext \
    3702       conftest$ac_exeext conftest.$ac_ext
    3703         FFLAGS=
    3704       ;;
    3705     esac
    37063705  else
    37073706    case $build in
     
    38713870    FFLAGS="$OPT_FFLAGS"
    38723871  fi
     3872
    38733873else
    38743874  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39953995case "$F77" in
    39963996  ifort* | */ifort* | IFORT* | */IFORT*)
    3997     case $build in
     3997
     3998 case $build in
    39983999  *-mingw*)
    39994000    if test "${LD+set}" = set; then :; else
     
    40024003    ;;
    40034004 esac
    4004  case $enable_doscompile in
    4005    msvc)
    4006      if test "x${LD+set}" = xset; then :; else
    4007        LD=link
    4008      fi
    4009      ;;
    4010  esac
     4005 if test $enable_msvc = yes ; then
     4006   if test "x${LD+set}" = xset; then :; else
     4007     LD=link
     4008   fi
     4009 fi
    40114010
    40124011    ;;
    40134012esac
     4013
     4014# check whether to add flag for static linking against standard libraries to LDFLAGS
     4015if test x$use_static_standardlibs != xno ; then
     4016  case $build in
     4017    *-mingw*)
     4018      static_standardlib_flag=-static
     4019      ;;
     4020    *)
     4021      static_standardlib_flag=-static-libgfortran
     4022      ;;
     4023  esac
     4024  case " $LDFLAGS " in
     4025    *" $static_standardlib_flag "* ) ;;
     4026    *)
     4027    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4028echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4029    coin_save_LDFLAGS="$LDFLAGS"
     4030    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4031    cat >conftest.$ac_ext <<_ACEOF
     4032      program main
     4033      integer i
     4034      end
     4035_ACEOF
     4036rm -f conftest.$ac_objext conftest$ac_exeext
     4037if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4038  (eval $ac_link) 2>conftest.er1
     4039  ac_status=$?
     4040  grep -v '^ *+' conftest.er1 >conftest.err
     4041  rm -f conftest.er1
     4042  cat conftest.err >&5
     4043  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4044  (exit $ac_status); } &&
     4045         { ac_try='test -z "$ac_f77_werror_flag"
     4046                         || test ! -s conftest.err'
     4047  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4048  (eval $ac_try) 2>&5
     4049  ac_status=$?
     4050  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4051  (exit $ac_status); }; } &&
     4052         { ac_try='test -s conftest$ac_exeext'
     4053  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4054  (eval $ac_try) 2>&5
     4055  ac_status=$?
     4056  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4057  (exit $ac_status); }; }; then
     4058  echo "$as_me:$LINENO: result: yes" >&5
     4059echo "${ECHO_T}yes" >&6
     4060else
     4061  echo "$as_me: failed program was:" >&5
     4062sed 's/^/| /' conftest.$ac_ext >&5
     4063
     4064echo "$as_me:$LINENO: result: no" >&5
     4065echo "${ECHO_T}no" >&6
     4066       LDFLAGS="$coin_save_LDFLAGS"
     4067       if test $use_static_standardlibs = yes ; then
     4068         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4069echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4070   { (exit 1); exit 1; }; }
     4071       fi
     4072
     4073fi
     4074rm -f conftest.err conftest.$ac_objext \
     4075      conftest$ac_exeext conftest.$ac_ext
     4076    ;;
     4077  esac
     4078fi
    40144079
    40154080ac_ext=c
     
    42734338ac_save_FFLAGS=$FFLAGS
    42744339FFLAGS="$FFLAGS $ac_verb"
    4275 (eval echo $as_me:4275: \"$ac_link\") >&5
     4340(eval echo $as_me:4340: \"$ac_link\") >&5
    42764341ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42774342echo "$ac_f77_v_output" >&5
     
    43514416ac_save_FFLAGS=$FFLAGS
    43524417FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4353 (eval echo $as_me:4353: \"$ac_link\") >&5
     4418(eval echo $as_me:4418: \"$ac_link\") >&5
    43544419ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43554420echo "$ac_f77_v_output" >&5
     
    52295294
    52305295# Provide some information about the compiler.
    5231 echo "$as_me:5231:" \
     5296echo "$as_me:5296:" \
    52325297     "checking for Fortran compiler version" >&5
    52335298ac_compiler=`set X $ac_compile; echo $2`
     
    70177082*-*-irix6*)
    70187083  # Find out which ABI we are using.
    7019   echo '#line 7019 "configure"' > conftest.$ac_ext
     7084  echo '#line 7084 "configure"' > conftest.$ac_ext
    70207085  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    70217086  (eval $ac_compile) 2>&5
     
    94949559   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94959560   -e 's:$: $lt_compiler_flag:'`
    9496    (eval echo "\"\$as_me:9496: $lt_compile\"" >&5)
     9561   (eval echo "\"\$as_me:9561: $lt_compile\"" >&5)
    94979562   (eval "$lt_compile" 2>conftest.err)
    94989563   ac_status=$?
    94999564   cat conftest.err >&5
    9500    echo "$as_me:9500: \$? = $ac_status" >&5
     9565   echo "$as_me:9565: \$? = $ac_status" >&5
    95019566   if (exit $ac_status) && test -s "$ac_outfile"; then
    95029567     # The compiler can only warn and ignore the option if not recognized
     
    97629827   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97639828   -e 's:$: $lt_compiler_flag:'`
    9764    (eval echo "\"\$as_me:9764: $lt_compile\"" >&5)
     9829   (eval echo "\"\$as_me:9829: $lt_compile\"" >&5)
    97659830   (eval "$lt_compile" 2>conftest.err)
    97669831   ac_status=$?
    97679832   cat conftest.err >&5
    9768    echo "$as_me:9768: \$? = $ac_status" >&5
     9833   echo "$as_me:9833: \$? = $ac_status" >&5
    97699834   if (exit $ac_status) && test -s "$ac_outfile"; then
    97709835     # The compiler can only warn and ignore the option if not recognized
     
    98669931   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98679932   -e 's:$: $lt_compiler_flag:'`
    9868    (eval echo "\"\$as_me:9868: $lt_compile\"" >&5)
     9933   (eval echo "\"\$as_me:9933: $lt_compile\"" >&5)
    98699934   (eval "$lt_compile" 2>out/conftest.err)
    98709935   ac_status=$?
    98719936   cat out/conftest.err >&5
    9872    echo "$as_me:9872: \$? = $ac_status" >&5
     9937   echo "$as_me:9937: \$? = $ac_status" >&5
    98739938   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    98749939   then
     
    1228312348  lt_status=$lt_dlunknown
    1228412349  cat > conftest.$ac_ext <<EOF
    12285 #line 12285 "configure"
     12350#line 12350 "configure"
    1228612351#include "confdefs.h"
    1228712352
     
    1238312448  lt_status=$lt_dlunknown
    1238412449  cat > conftest.$ac_ext <<EOF
    12385 #line 12385 "configure"
     12450#line 12450 "configure"
    1238612451#include "confdefs.h"
    1238712452
     
    1474314808   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1474414809   -e 's:$: $lt_compiler_flag:'`
    14745    (eval echo "\"\$as_me:14745: $lt_compile\"" >&5)
     14810   (eval echo "\"\$as_me:14810: $lt_compile\"" >&5)
    1474614811   (eval "$lt_compile" 2>conftest.err)
    1474714812   ac_status=$?
    1474814813   cat conftest.err >&5
    14749    echo "$as_me:14749: \$? = $ac_status" >&5
     14814   echo "$as_me:14814: \$? = $ac_status" >&5
    1475014815   if (exit $ac_status) && test -s "$ac_outfile"; then
    1475114816     # The compiler can only warn and ignore the option if not recognized
     
    1484714912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1484814913   -e 's:$: $lt_compiler_flag:'`
    14849    (eval echo "\"\$as_me:14849: $lt_compile\"" >&5)
     14914   (eval echo "\"\$as_me:14914: $lt_compile\"" >&5)
    1485014915   (eval "$lt_compile" 2>out/conftest.err)
    1485114916   ac_status=$?
    1485214917   cat out/conftest.err >&5
    14853    echo "$as_me:14853: \$? = $ac_status" >&5
     14918   echo "$as_me:14918: \$? = $ac_status" >&5
    1485414919   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1485514920   then
     
    1641716482   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641816483   -e 's:$: $lt_compiler_flag:'`
    16419    (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
     16484   (eval echo "\"\$as_me:16484: $lt_compile\"" >&5)
    1642016485   (eval "$lt_compile" 2>conftest.err)
    1642116486   ac_status=$?
    1642216487   cat conftest.err >&5
    16423    echo "$as_me:16423: \$? = $ac_status" >&5
     16488   echo "$as_me:16488: \$? = $ac_status" >&5
    1642416489   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642516490     # The compiler can only warn and ignore the option if not recognized
     
    1652116586   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652216587   -e 's:$: $lt_compiler_flag:'`
    16523    (eval echo "\"\$as_me:16523: $lt_compile\"" >&5)
     16588   (eval echo "\"\$as_me:16588: $lt_compile\"" >&5)
    1652416589   (eval "$lt_compile" 2>out/conftest.err)
    1652516590   ac_status=$?
    1652616591   cat out/conftest.err >&5
    16527    echo "$as_me:16527: \$? = $ac_status" >&5
     16592   echo "$as_me:16592: \$? = $ac_status" >&5
    1652816593   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1652916594   then
     
    1872818793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872918794   -e 's:$: $lt_compiler_flag:'`
    18730    (eval echo "\"\$as_me:18730: $lt_compile\"" >&5)
     18795   (eval echo "\"\$as_me:18795: $lt_compile\"" >&5)
    1873118796   (eval "$lt_compile" 2>conftest.err)
    1873218797   ac_status=$?
    1873318798   cat conftest.err >&5
    18734    echo "$as_me:18734: \$? = $ac_status" >&5
     18799   echo "$as_me:18799: \$? = $ac_status" >&5
    1873518800   if (exit $ac_status) && test -s "$ac_outfile"; then
    1873618801     # The compiler can only warn and ignore the option if not recognized
     
    1899619061   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1899719062   -e 's:$: $lt_compiler_flag:'`
    18998    (eval echo "\"\$as_me:18998: $lt_compile\"" >&5)
     19063   (eval echo "\"\$as_me:19063: $lt_compile\"" >&5)
    1899919064   (eval "$lt_compile" 2>conftest.err)
    1900019065   ac_status=$?
    1900119066   cat conftest.err >&5
    19002    echo "$as_me:19002: \$? = $ac_status" >&5
     19067   echo "$as_me:19067: \$? = $ac_status" >&5
    1900319068   if (exit $ac_status) && test -s "$ac_outfile"; then
    1900419069     # The compiler can only warn and ignore the option if not recognized
     
    1910019165   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1910119166   -e 's:$: $lt_compiler_flag:'`
    19102    (eval echo "\"\$as_me:19102: $lt_compile\"" >&5)
     19167   (eval echo "\"\$as_me:19167: $lt_compile\"" >&5)
    1910319168   (eval "$lt_compile" 2>out/conftest.err)
    1910419169   ac_status=$?
    1910519170   cat out/conftest.err >&5
    19106    echo "$as_me:19106: \$? = $ac_status" >&5
     19171   echo "$as_me:19171: \$? = $ac_status" >&5
    1910719172   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1910819173   then
     
    2280322868# Try to autodetect the library for blas based on build system
    2280422869  #AC_MSG_CHECKING([default locations for BLAS])
    22805   skip_lblas_check=no
    2280622870  case $build in
    2280722871    *-sgi-*)
     
    2360623670
    2360723671    *-cygwin* | *-mingw*)
    23608 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23609 # library will want to link with cygwin, hence won't run standalone in DOS.
    23610       if test "$enable_doscompile" = mingw; then
    23611         skip_lblas_check=yes
    23612       fi
    2361323672      case "$CC" in
    2361423673        clang* ) ;;
     
    2477424833  esac
    2477524834
    24776   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24835  if test -z "$use_blas" ; then
    2477724836    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2477824837echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2646026519echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2646126520coin_link_input_cmd="$LN_S"
    26462 if test "$enable_doscompile" = mingw; then
    26463   coin_link_input_cmd=cp
    26464 fi
    2646526521case "$CC" in
    2646626522  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.